///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.rel
//
//import com.persagy.base.extensions.toJson
//import com.persagy.server.datacenter.models.entities.rel.REqInSh
//import com.persagy.server.datacenter.models.entities.rel.REqInShList
//import com.persagy.server.datacenter.models.entities.rel.RShInEqList
//import com.persagy.server.services.rel.REqInShService
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCreateResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 设备所在竖井
// *
// * @author 付国宝
// */
//@Tag(name = "020、关系-设备所在竖井")
//@RestController
//@RequestMapping("/rel/eq-in-sh")
//class REqInShController {
//
//    companion object {
//        /** 日志 */
//        private val logger = LoggerFactory.getLogger(REqInShController::class.java)
//    } // Companion object
//
//    /**
//     * 创建设备所在竖井关系
//     *
//     * @param    rEqInSh    设备和竖井的关系对象
//     * @return              创建的结果信息
//     */
//    @Operation(summary = "创建设备所在竖井关系，累计添加不会覆盖以前记录", description = "必填项：EquipId（设备id）、ShaftId（竖井id）")
//    @PostMapping(value = ["/link"])
//    fun create(@RequestBody rEqInSh: REqInSh): SCreateResponse<REqInSh>{
//        logger.debug("shaft = ${rEqInSh.toJson()}")
//        return REqInShService.create(rEqInSh)
//    } //Function create()
//
//    /**
//     * 根据关系删除对象
//     *
//     * @param    rEqInSh     对象
//     * @return               删除的结果信息
//     */
//    @Operation(summary = "根据对象删除设备所在竖井关系，只针对一个对象", description = "必填项：EquipId（设备id）、ShaftId（竖井id）")
//    @PostMapping(value = ["/unlink"])
//    fun delete(@RequestBody rEqInSh: REqInSh): SBaseResponse{
//        return REqInShService.deletes(rEqInSh)
//    } // Function delete()
//
//    /**
//     * 创建设备所在竖井关系
//     *
//     * @param    rEqInSh     设备和竖井的关系对象
//     * @return               创建的结果信息
//     */
//    @Operation(summary = "设备所在竖井，设备一对多，此方法会覆盖以前的记录", description = "必填项：EquipId（设备id）、ShaftIdList（竖井id列表）,此方法会覆盖以前的记录")
//    @PostMapping(value = ["/link-sh"])
//    fun createSh(@RequestBody rEqInSh: REqInShList): SCreateResponse<REqInSh>{
//        logger.debug("shaft = ${rEqInSh.toJson()}")
//        return REqInShService.createEq(rEqInSh)
//    } // Function createSh()
//
//    /**
//     * 创建所在竖井的设备关系
//     *
//     * @param    rEqInSh      设备和竖井的关系对象
//     * @return                创建的结果信息
//     */
//    @Operation(summary = "所在竖井的设备，竖井一对多，此方法会覆盖以前的记录", description = "必填项：EquipIdList（设备id列表）、ShaftId（竖井id）,此方法会覆盖以前的记录")
//    @PostMapping(value = ["/link-eq"])
//    fun createEq(@RequestBody rEqInSh: RShInEqList): SCreateResponse<REqInSh>{
//        logger.debug("shaft = ${rEqInSh.toJson()}")
//        return  REqInShService.createsSh(rEqInSh)
//    } // Function createEq()
//
//    /**
//     * 创建所在竖井的设备关系
//     *
//     * @param    rEqInSh      设备和竖井的关系对象
//     * @return                创建的结果信息
//     */
//    @Operation(summary = "设备所在的竖井，竖井一对多，此方不会覆盖以前的记录，累计添加", description = "必填项：EquipIdList（设备id列表）、ShaftId（竖井id）")
//    @PostMapping(value = ["/link-eq-sh"])
//    fun createEqSh(@RequestBody rEqInSh: RShInEqList): SCreateResponse<REqInSh>{
//        logger.debug("shaft = ${rEqInSh.toJson()}")
//        return  REqInShService.createsShEq(rEqInSh)
//    } // Function createEq()
//
//}